Recent

Author Topic: [SOLVED] linux: can not load libsqlite3.so check your installation  (Read 6656 times)

hy

  • Full Member
  • ***
  • Posts: 213
When connecting a TSQLite3Connection I get the error
Can not load libsqlite3.so check your installation
Where do I get the file SQLite3.so and where should I put it?
Thanks in advance

[Edit:] I have installed sqlite3 and other applications are using SQLite3 Database-files
[Edit 2] When running the demo ../examples/database/image_mushrooms
I get a similar message on firebird: Can not load default firebird clients ("libfbclient.so.2.5", or libgds.so or libfbembed.so.2.5) check your installation. Note: Firebird is installed
« Last Edit: October 05, 2014, 09:23:59 pm by hy »
_____
***hy
OS: debian sid(64bit)  [fpc 3.0.4] Lazarus SVN

Leledumbo

  • Hero Member
  • *****
  • Posts: 8108
  • Programming + Glam Metal + Tae Kwon Do = Me
Re: linux: can not load libsqlite3.so check your installation
« Reply #1 on: October 05, 2014, 06:35:02 pm »
Quote
Note: Firebird is installed
Doesn't automatically mean you have the required client libraries (as written in the error messages) installed and accessible.

minesadorada

  • Hero Member
  • *****
  • Posts: 588
  • Retired
Re: linux: can not load libsqlite3.so check your installation
« Reply #2 on: October 05, 2014, 08:18:07 pm »
When connecting a TSQLite3Connection I get the error
Can not load libsqlite3.so check your installation
Where do I get the file SQLite3.so and where should I put it?
Thanks in advance

[Edit:] I have installed sqlite3 and other applications are using SQLite3 Database-files
[Edit 2] When running the demo ../examples/database/image_mushrooms
I get a similar message on firebird: Can not load default firebird clients ("libfbclient.so.2.5", or libgds.so or libfbembed.so.2.5) check your installation. Note: Firebird is installed

I hardly know linux, so this may be wrong...
With Linux Mint Cinammon 64-bit, I got the Lazarus SQLite3 connection working only after I installed the packages:
libsqlite3-0
libsqlite3-dev
libsqlite3-0:i386

I have no idea if this would be relevant to your situation - I'm just passing on the info.  As for where they installed to... I have no idea.
GPL Apps: Health MonitorRetro Ski Run
OnlinePackageManager Components: LazAutoUpdate, LongTimer, PoweredBy, ScrollText, PlaySound, CryptINI

hy

  • Full Member
  • ***
  • Posts: 213
Re: linux: can not load libsqlite3.so check your installation
« Reply #3 on: October 05, 2014, 09:23:26 pm »
Ok, I got it working now.
Firebird worked after a reinstall ... never used it before so probably something was missing.
sqlite worked after installing libsqlite3-dev (which pulled in libsqlite3-0:i386 automagically)

Thanks  minesadorada and leledumbo for helping
_____
***hy
OS: debian sid(64bit)  [fpc 3.0.4] Lazarus SVN

6Black6Cat6

  • Newbie
  • Posts: 1
Re: [SOLVED] linux: can not load libsqlite3.so check your installation
« Reply #4 on: January 13, 2015, 07:34:18 am »
Just some info about this problem:
libsqlite3-0 package installing libsqlite3.so.0.8.6 file and makes link to it named libsqlite3.so.0
That's the reason of missing libsqlite3.so
libsqlite3-dev makes link to libsqlite3.so.0.8.6 named libsqlite3.so